PHP 7.0 nu al bij Antagonist beschikbaar!

Het is bijna pakjesavond, daarom hebben wij een leuk cadeau: PHP 7. Dit is de laatste stabiele versie en wordt nu volledig ondersteund op ons nieuwe hostingplatform en dus ook in al onze webhostingpakketten!

PHP 7: nu al beschikbaar bij Antagonist

Gisteren was de eerste zogenaamde ‘GA’ release van PHP 7.0, uitgebracht door de ontwikkelaars van PHP. GA staat voor General Availability en betekent zoveel als: de eerste release die voor iedereen geschikt is. De versies hiervoor waren voornamelijk bedoeld om te testen. De informatie die daarmee verkregen wordt, zorgt ervoor dat de versie die nu is uitgekomen zoveel mogelijk bugvrij is.

Wat betekent dit voor de hosting bij Antagonist

Wij bieden al sinds juni — als één van de eerste hostingproviders 😀 — de mogelijkheid om PHP 7 te gebruiken. Technisch gezien verandert er dus niet zo heel veel. Uiteraard zijn alle bugs tussen toen en nu opgelost door de PHP-ontwikkelaars. Toch is er een groot verschil en dat zit in de ondersteuning ervan. Je kon dus al een tijdje voor PHP 7 kiezen, maar als het om wat voor reden dan ook niet werkte, dan stond je er alleen voor. Er wordt namelijk geen ondersteuning geleverd op software dat nog niet af is en getest wordt.

PHP 7: wat kun je verwachten?

Dat is nu anders. In de laatste release van PHP 7, geven de ontwikkelaars aan dat het klaar is voor gebruik door het grote publiek. Mocht je een probleem tegenkomen in PHP 7 — die niet door je eigen PHP-code wordt veroorzaakt — dan kun je dat aan ons melden. Het gaat dus om iets wat een bug is in PHP of een probleem met een instelling, zoals wij die hanteren. Fouten in de code die je zelf schrijft, vallen hier dus niet onder.

Schakel nu dus over naar PHP 7 en geniet van de extra snelheid en mogelijkheden die geboden worden. In verreweg de meeste gevallen kun je overschakelen naar PHP 7 zonder dat je verder zelf iets hoeft aan te passen. Zeker als je een bestaand softwarepakket gebruikt, zoals WordPress. Je kunt dan zonder problemen overschakelen. Het enige waar je voor moet zorgen is dat je WordPress-installatie (of Joomla, Drupal of wat dan ook) up-to-date is. Maar dat deed je toch al vanwege de veiligheid?

Wat als je geen kant-en-klare webapplicatie gebruikt?

Het is belangrijk om te weten, dat er een aantal functies zijn die al lange tijd gemarkeerd waren als ‘deprecated’ en nu zijn verwijderd. Deprecated betekent letterlijk verouderd en wordt in de software-wereld gebruikt om functies aan te duiden die je wilt verwijderen. Als je ze echter meteen verwijdert, dan gaan alle applicaties stuk die hier gebruik van maken. Zodoende markeer je ze dus eerst als ‘deprecated’, zodat iedereen ruim de tijd heeft om zijn applicatie hierop aan te passen.

PHP 7: elephant on beach

PHP 5 is inmiddels meer dan 11 jaar oud, dus de komst van PHP 7 is een goed moment om verouderde functies eens op te schonen. Het PHP-project heeft een lijst met verwijderde functies beschikbaar. Op deze pagina staan ook andere wijzigingen die niet compatible zijn met oudere versies. Mocht je dus functies van die pagina gebruiken, dan zul je waarschijnlijk je code iets moeten aanpassen om deze te laten werken op de nieuwere PHP-versies.

Voordelen van PHP 7

Ik val in herhaling, want ik heb hier laatst al iets over geschreven. Het loont zeker om over te stappen. Een PHP-applicatie, zoals WordPress of Drupal, draait onder PHP 7 ongeveer twee keer zo snel! Dit betekent niet alleen een kortere laadtijd, maar ook dat je met jouw webhostingpakket meer bezoekers aankan. Ik kan het niet laten om toch nog even de opmerkelijke resultaten van de benchmarks te laten zien. Hierin is onderzocht hoe Wordpress en Drupal draaien onder verschillende PHP-versies.

Welke PHP-versie kiezen: PHP 7 benchmark WordPress

Welke PHP-versie kiezen: PHP 7 benchmark Drupal

UPDATE – Compatibiliteit

Nog niet alle CMS’en werken vlekkeloos met PHP 7.0. Hieronder vind je een beknopt overzicht met welke CMS’en het wel of niet ondersteunen.

  • WordPress: ja
  • Joomla: ondersteunt het vanaf februari 2016
  • Drupal: ja
  • Magento 1.x: nee

Let op: het thema en de plug-ins die je op je website gebruikt, hebben ook invloed. Het kan zijn dat deze het (nog) niet ondersteunen, waardoor bij de overstap naar PHP 7 (delen) van je site minder goed werken. Je kunt dit oplossen door de desbetreffende plug-in uit te schakelen en er een alternatief voor te zoeken.

Voor de CMS’en die PHP 7.0 nog niet ondersteunen, is PHP 5.6 voor nu de beste keuze!

Wacht niet langer!

Wat houdt jou nog tegen? Schakel nu over naar PHP 7! Dankzij onze PHP-selector schakel je eenvoudig met een paar klikken over. We leggen je in deze handige handleiding uit hoe je tussen de beschikbare PHP-versies schakelt. Nog geen webhostingpakket bij Antagonist en nieuwsgierig om met onder andere PHP 7 aan de slag te gaan?

Bekijk hostingpakketten →

P.S. Wil je op de hoogte blijven van alle artikelen, updates, tips en trucs die verschijnen op ons blog? Dat kan! Rechts bovenin via RSS, e-mail, het liken op Facebook, het +1’en op Google+ of het volgen op Twitter.

Deel Deel Deel Deel